Skip to navigation

Get scheduled change requests

View as Markdown

Enterprise feature

This endpoint retrieves basic information about all scheduled change requests that match the search criteria provided in the query parameters. The endpoint will return any change request that matches one or more of the provided parameters. If you use no query parameters, you’ll get an empty list.

For instance, to find all the scheduled change requests that either touch feature MyFeature or strategy 0D198067-7D55-460C-9EC7-DB86E3AE261A, you would use the query string feature=MyFeature&strategyId=0D198067-7D55-460C-9EC7-DB86E3AE261A.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Response

changeRequestScheduledResultSchema
iddouble
The change request id
environmentstring
The environment of the change request
titlestringOptional
The change request title

Errors

404
Not Found Error